/// <reference types="node" />
import type { ITerminal } from '@rushstack/node-core-library';
import { type ICloudBuildCacheProvider } from '@rushstack/rush-sdk';
import { AzureStorageAuthentication, type IAzureStorageAuthenticationOptions } from './AzureStorageAuthentication';
export interface IAzureStorageBuildCacheProviderOptions extends IAzureStorageAuthenticationOptions {
    blobPrefix?: string;
}
export declare class AzureStorageBuildCacheProvider extends AzureStorageAuthentication implements ICloudBuildCacheProvider {
    private readonly _blobPrefix;
    private readonly _environmentCredential;
    get isCacheWriteAllowed(): boolean;
    private _containerClient;
    constructor(options: IAzureStorageBuildCacheProviderOptions);
    tryGetCacheEntryBufferByIdAsync(terminal: ITerminal, cacheId: string): Promise<Buffer | undefined>;
    trySetCacheEntryBufferAsync(terminal: ITerminal, cacheId: string, entryStream: Buffer): Promise<boolean>;
    private _getBlobClientForCacheIdAsync;
    private _getContainerClientAsync;
    private _getConnectionString;
}
//# sourceMappingURL=AzureStorageBuildCacheProvider.d.ts.map